(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(140/60);
	Pdef(\hh).play(c, quant:8);
	Pdef(\hh2).play(c, quant:8);
	Pdef(\bas).play(c, quant:8);
	Pdef(\arp).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\arp2).play(c, quant:8);
	Pdef(\sch).play(c, quant:8);
}
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([3, 1, 1, 1, 0.5, 1.5], inf),
	\freq, 2000,
	\legato, 0.01,
	\amp, 1,
	\atk, 0.007,
	\rel, Pseq([0.02, 0.02, 0.02, 0.02, 0.02, 0.06], inf),
	\sel, 4,
	\selFreq, Pseq([400, 400, 400, 400, 200, 100], inf)
));
)

(
Pdef(\hh2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.55, 0.45], inf),
	\freq, 3000,
	\legato, 0.02,
	\amp, Pseq([0.1, 1, 0, 0.6, 0.03], inf),
	\atk, 0.007,
	\rel, 0.02,
	\sel, 1,
	\selFreq, 20,
	\amp2, 70,
	\freq2, 1200,
	\sel2, 1.4,
	\selFreq2, 13,
	\combMix, 0,
	\combFreq, Pseq([4000, 5000, 6000], inf)/3
));
)

(
Pdef(\bas, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.55, 0.45], inf),
	\freq, 100*Pseq([Pn(1, 50), Pn(0.5, 14)], inf),
	\legato, Pseq([0.25, 0.2], inf),
	\amp, Pseq([Pseq([0.5, 0.7, 0, 0, 0, 0, 0, 0], 3), Pseq([0.5, 0.7, 0, 0, 0, 0, 0, 0.6], 3)], inf),
	\atk, 0.007,
	\rel, 0.04,
	\sel, 2,
	\selFreq, Pseq([20, 40, 60], inf),
	\amp2, Pseq([Pseries(1, 2, 32), Pseq([100, 200], 16)], inf),
	\freq2, Pkey(\freq)*3.1,
	\combMix, -0.5,
	\combFreq, Pkey(\freq)*3
));
)

(
Pdef(\arp, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.55, 0.45], inf)*0.5,
	\freq, Pseq([50, 100, 200], inf),
	\legato, Pseq([0.5, 0.4], inf),
	\pan, Pseq([-1, 0, 1, 0, 0], inf)*0.25,
	\amp, Pseq([Pseq([0.6, 0.4, 0, 0.5, 0.4, 0, 0, 0], 3), Pseq([0.6, 0.4, 0.1, 0.5, 0.4, 0.6, 0, 0], 1)], inf),
	\atk, 0.007,
	\rel, 0.08,
	\sel, Pseq([Pn(2, 15), 5], inf),
	\selFreq, Pseq([20, 40, 60], inf)*200,
	\amp2, 3,
	\freq2, 200,
	\verbMix, 0
));
)

(
Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\freq, 50,
	\legato, Pseq([0.35], inf),
	\pan, Pseq([-1, 1], inf)*0.2,
	\amp, Pseq([0.4, 0.4, 0.4, 0.3], inf),
	\atk, 0.001,
	\rel, 0.01,
	\sel, Pseq([Pn(2, 6), 3, 4], inf),
	\selFreq, Pseq([20, 40, 60, 40], inf)*Pstutter(8, Pseq([10, 80, 20], inf)),
	\amp2, 1,
	\freq2, 1,
	\verbMix, -0.5
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\freq, Pseq([Pn(150, 16), Pn(300, 14), 50, 100], inf),
	\legato, Pseq([0.4, 0.4, 0.4, 0.3], inf),
	\pan, Pseq([-1, 1], inf)*0.2,
	\amp, Pseq([0, 0.4, 0, 0.4], inf),
	\atk, 0.001,
	\rel, 0.01,
	\sel, Pseq([Pn(5, 7), 5], inf),
	\selFreq, 2000,
	\amp2, 50,
	\freq2, 0.1,
	\verbMix, 0,
	\verbRoom, 0.2
));
)

(
Pdef(\arp2, Pbind(
	\instrument, \redMond,
	\dur, 2,
	\freq, Pstutter(8, Pseq([1400, 1200], inf)),
	\legato, 0.6,
	\pan, Pseq([-1, 1], inf)*0.2,
	\amp, 0.3,
	\atk, 0.001,
	\rel, 0.01,
	\sel, Pseq([Pn(5, 7), 5], inf),
	\selFreq, Pstutter(12, Pseq([1000, 2000, 1500, 3000], inf)),
	\amp2, Pseq([Pseries(50, 2, 100)], inf),
	\freq2, 0.2,
	\verbMix, Pseq([0, -0.3, 0.3, 0], inf),
	\verbRoom, 1,
	\verbDamp, 1
));
)

(
Pdef(\sch, Pbind(
	\instrument, \redMond,
	\dur, 8,
	\freq, Pseq([500, 400, 150], inf),
	\legato, 1,
	\pan, Pseq([-1, 0, 1], inf)*0.4,
	\amp, 0.3,
	\atk, 4,
	\rel, 5,
	\sel, 6,
	\selFreq, 1000,
	\amp2, Pseq([Pseries(50, 2, 100)], inf),
	\freq2, Pseq([0.2, 0.18, 0.2, 0.22], inf),
	\verbMix, Pseq([0, -0.3, 0.3, 0], inf),
	\verbRoom, 1,
	\verbDamp, 1,
	\combMix, Pstutter(2, Pseq([-0.25, -0.5, -0.75, 0], inf))
));
)

Pdef(\sn).stop
Pdef(\arp).stop
Pdef(\hh).stop
Pdef(\hh2).stop
Pdef(\arp2).stop
Pdef(\bas).stop
Pdef(\bd).stop
Pdef(\sch).stop
