(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(112/60);
	Pdef(\aaa).play(c, quant:8);
	Pdef(\bbb).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\sn2).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\mel).play(c, quant:8);
}
)

(
Pdef(\aaa, Pbind(
	\instrument, \redMond,
	\dur, 8,
	\legato, 1,
	\midinote, Pseq([40, 37], inf),
	\sel, 3,
	\selFreq, 3,
	\amp2, 1,
	\selFreq2, 0.2,
	\ringMix, Pstutter(2, Pseq([0, -0.5, -1, -0.5, 0, 0.5, 1, 0.5], inf)),
	\ringFreq, 2.25*Pseq([1, 1, 1, 0.5], inf),
	\ringGain, 10*Pseq([1, 1, 1, 0.8, 1], inf),
	\ringRate, 1.2
));
)

(
Pdef(\bbb, Pbind(
	\instrument, \redMond,
	\dur, 4,
	\legato, 1,
	\midinote, Pseq([64, 66], inf),
	\sel, 3,
	\selFreq, 3,
	\amp2, 1,
	\selFreq2, Pseq([0.2, 0.2, 0.2, 8], inf),
	\ringMix, 0,
	\ringFreq, 2.4*Pseq([1, 1, 1, 0.5], inf),
	\ringGain, 6*Pseq([1, 1, 1, 0.5, 1], inf),
	\ringRate, 1.2,
	\verbMix, 0,
	\verbRoom, Pseq([Pseries(0, 0.1, 10), Pseries(1, -0.1, 10)], inf)
));
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2], inf)/6,
	\legato, 0.1,
	\freq, Pseq([Pseries(0, 2, 100), Pseries(200, -1, 100)], inf),
	\pan, Pseq([0, -1, 0, 1, 0], inf)*0.3,
	\atk, 0.001,
	\rel, 0.05,
	\sel, 0,
	\sel2, 4.1,
	\selFreq2, 0,
	\freq2, 80.midicps,
	\amp2, 160.midicps,
	\verbMix, 0,
	\verbRoom, 0.1
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 1/3,
	\amp, Pseq([Pseq([0, 0.3], 32), Pseq([0.2, 0.3], 8)], inf),
	\legato, 0.05,
	\freq, 0,
	\pan, -0.2,
	\atk, 0.001,
	\rel, 0.1,
	\sel, 0,
	\sel2, 3.9,
	\selFreq2, Pseq([Pseries(10, 1, 100), Pseries(110, -1, 100), Pn(10, 32)], inf),
	\freq2, 70.midicps,
	\amp2, Pstutter(24, Pseq([Pseries(150, -1, 30)], inf)).midicps,
	\verbMix, 0,
	\verbRoom, 0.1
));
)

(
Pdef(\sn2, Pbind(
	\instrument, \redMond,
	\dur, 2/3,
	\amp, Pseq([Pseq([0, 0.3], 32), Pseq([0.2, 0.3], 8)], inf),
	\legato, 0.05,
	\freq, 0,
	\pan, 0.2,
	\atk, 0.001,
	\rel, 0.1,
	\sel, 0,
	\sel2, 0,
	\selFreq2, 1,
	\freq2, 70.midicps,
	\amp2, 150.midicps,
	\verbMix, 0,
	\verbRoom, 0.1
));
)

(
Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pn(2, 48), Pn(1, 12)], inf)/3,
	\amp, 0.9,
	\legato, 0.05,
	\freq, 60,
	\atk, 0.001,
	\rel, 0.09,
	\sel, 0
));
)

(
Pdef(\mel, Pbind(
	\instrument, \redMond,
	\dur, Pseq([6, 6, 6, 6, 2], inf),
	\amp, Pseq([0.1, 0.05, 0.08, 0.1, 0.05, 0.08, 0.1, 0.1], inf)*2,
	\legato, 0.8,
	\midinote, Pseq([68, 100, 80, 66, 100, 80, 68, 66], inf),
	\atk, 0.01,
	\rel, Pseq([4, 5, 3], inf),
	\sel, 1,
	\selFreq, 2,
	\verbMix, 0,
	\combMix, 0
));
)

Pdef(\mel).stop
Pdef(\bd).stop
Pdef(\hh).stop
Pdef(\sn2).stop
Pdef(\sn).stop
Pdef(\bbb).stop
Pdef(\aaa).stop
Pdef.clear
