(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(115/60);
	Pdef(\min).play(c, quant:8);
	Pdef(\min2).play(c, quant:8);
	Pdef(\mon).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
}
)

(
Pdef(\min, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\degree, Pseq([Pseq([0, 3, 4, 3, 2, 3, 1, 3], 3), Pseq([0, 6, 4, 3, 2, 3, 1, 3], 1), Pseq([0, 4, 4, 6, 2, 3, 1, 3], 1)], inf),
	\octave, 5,
	\mtranspose, 1,
	\sel, Pseq([4, 4, 4, 4, 0], inf),
	\selFreq, Pseq([Pseries(0.4, 0.01, 20)], inf),
	\amp2, 1,
	\selFreq2, 0.3,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*2,
	\ringGain, 50,
	\ringRate, Pkey(\freq*4),
	\distMix, Pseq([Pseries(-1, 0.02, 64), Pseries(0.28, -0.02, 64)], inf)
));
)

(
Pdef(\min2, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\degree, Pseq([Pseq([0, 3, 4, 3, 2, 3, 1, 3], 3), Pseq([0, 6, 4, 3, 2, 3, 1, 3], 1), Pseq([0, 4, 4, 6, 2, 3, 1, 3], 1)], inf),
	\amp, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.06,
	\octave, 5,
	\lag, 0.25,
	\mtranspose, 6,
	\sel, Pseq([4, 4, 4, 4, 0], inf),
	\selFreq, Pseq([Pseries(0.4, 0.01, 20)], inf),
	\amp2, 1,
	\selFreq2, 0.3,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*2,
	\ringGain, 50,
	\ringRate, Pkey(\freq*4),
	\distMix, Pseq([Pseries(0, 0.01, 64), Pseries(0.64, -0.01, 64)], inf)
));
)

(
Pdef(\mon, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\amp, 0.5,
	\legato, Pseq([Pn(0.1, 14), 0.2, 0.3], inf),
	\degree, Pseq([0, 3, 4, 4, 4, 5, 6, 7], inf),
	\mtranspose, 5,
	\octave, Pseq([1, 3, 4, 4, 4, 5, 3, 2], inf),
	\sel, Pseq([Pseries(4, -0.01, 100), Pseries(3, 0.01, 100), Pseries(4, 0.01, 100), Pseries(5, -0.02, 50)], inf),
	\selFreq, 0.5,
	\amp2, 1,
	\selFreq2, 0.5,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*3,
	\ringGain, 5,
	\ringRate, 50,
	\distMix, Pseq([Pseries(-1, 0.02, 80), Pseries(0.6, -0.02, 80)], inf)
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1, 1.25, 0.75, 1], inf),
	\amp, Pseq([0, 0.7, 0.4, 0.7], inf),
	\legato, 0.08,
	\freq, Pstutter(4, Pseq([150, 50, 200, 100, 250], inf))*1.5,
	\sel, 3,
	\selFreq, Pstutter(6, Pseq([150, 50, 200, 100, 250], inf))*1.5,
	\selFreq2, 0.5,
	\ringMix, 1,
	\ringFreq, Pstutter(8, Pseq([150, 50, 200, 100, 250], inf))*1.5,
	\ringGain, Pstutter(10, Pseq([150, 50, 200, 100, 250], inf))*20,
	\ringRate, 50,
	\distMix, 1
));
)

(
Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1.75, 0.75, 0.25, 0.5, 0.75], inf),
	\amp, Pseq([Pseq([1, 1, 0.5, 1, 1], 3), Pseq([0, 1, 0.5, 1, 1], 1)], inf)*3,
	\legato, 0.1,
	\atk, 0,
	\sel, 0,
	\selFreq, 0,
	\freq2, 1200,
	\amp2, 60,
	\freq, Pseq([Pn(40, 5*16), Pn(50, 5*16)], inf)*1.5,
	\pan, Pseq([-0.1, 0.1], inf),
	\moogMix, 0.6,
	\moogFreq, 180,
	\moogGain, 3
));
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pseq([0.5, 0.5, 0.5, 0.5, 2], 2), Pseq([0.5, 0.5, 0.5, 1.5, 1], 2)], inf),
	\amp, Pseq([0, 1, 0.5, 1, 1], inf)*0.5,
	\legato, 0.04,
	\atk, 0,
	\rel, 0.05,
	\sel, 2,
	\freq, Pseq([Pn(40, 5*16), Pn(50, 5*16)], inf)*8,
	\pan, Pseq([0.1, -0.1], inf),
	\distMix, Pseq([Pseries(-1, 0.018, 48), Pseries(-0.136, -0.018, 48)], inf),
	\moogMix, 1,
	\moogFreq, Pkey(\freq)*2,
	\moogGain, 3
));
)

Pdef(\min).stop
Pdef(\min2).stop
Pdef(\mon).stop
Pdef(\sn).stop
Pdef(\bd).stop
Pdef(\hh).stop
