(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(150/60);
	Pdef(\ett).play(c, quant:8);
	Pdef(\tva).play(c, quant:8);
	Pdef(\tre).play(c, quant:8);
	Pdef(\fyr).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\md).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
}
)

(
Pdef(\ett, Pbind(
	\instrument, \redMond,
	\amp, Pseq([Pn(1, 31), 0, Pn(1, 15), 0, Pn(1, 15), 0], inf)*Pseq([0.16, 0.1], inf),
	\legato, Pseq([0.8, 0.71], inf),
	\dur, Pseq([1, 0.5, 0.5, 0.5, 0.5, 0.5, 0.5], inf),
	\degree, Pseq([0, 4, 4, 4, 4, 4, 4], inf),
	\scale, Scale.dorian,
	\pan, 0.2,
	\amp2, Pkey(\amp)*2,
	\freq2, Pkey(\freq)*0.5,
	\combMix, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf),
	\combDecy, 0.05,
	\combFreq, Pkey(\freq)*(Pkey(\amp)*2+0.1)
));

Pdef(\tva, Pbind(
	\instrument, \redMond,
	\amp, Pseq([Pn(1, 14), 0, 0], inf)*Pseq([0.14, 0.08], inf),
	\dur, Pseq([1, 0.5, 0.5, 0.5, 1], inf),
	\legato, Pseq([0.8, 0.71, 0.72], inf),
	\degree, Pseq([6, 5, 5, 4, 3, 2], inf),
	\scale, Scale.dorian,
	\pan, -0.2,
	\amp2, Pkey(\amp)*2,
	\freq2, Pkey(\freq)*0.5,
	\combMix, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf),
	\combDecy, 0.05,
	\combFreq, Pkey(\freq)*(Pkey(\amp)*2+0.1)
));

Pdef(\tre, Pbind(
	\instrument, \redMond,
	\amp, Pseq([Pn(0, 16), Pn(1, 16), Pn(0, 24), Pn(1, 8)], inf)*Pseq([0.12, 0.06], inf),
	\dur, Pseq([0.5, 1, 1, 1, 0.5], inf),
	\legato, Pseq([0.8, 0.71, 0.72, 0.73], inf),
	\degree, Pseq([8, 7, 6, 7, 7, 7, 4, 5, 6], inf),
	\scale, Scale.dorian,
	\pan, 0.4,
	\amp2, Pkey(\amp)*2,
	\freq2, Pkey(\freq)*0.5,
	\combMix, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf),
	\combDecy, 0.05,
	\combFreq, Pkey(\freq)*(Pkey(\amp)*2+0.1)
));

Pdef(\fyr, Pbind(
	\instrument, \redMond,
	\amp, Pseq([Pn(1, 8), Pn(0, 24), Pn(0, 8), Pn(1, 8), Pn(0, 16), Pn(0, 8)], inf)*Pseq([0.1, 0.04], inf),
	\legato, Pseq([0.8, 0.71, 0.72, 0.73, 0.74], inf),
	\dur, Pseq([1, 1, 0.5, 0.5, 1, 1, 0.5], inf),
	\degree, Pseq([10, 10, 10, 8, 9, 9, 10], inf),
	\scale, Scale.dorian,
	\pan, -0.4,
	\amp2, Pkey(\amp)*2,
	\freq2, Pkey(\freq)*0.5,
	\combMix, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf),
	\combDecy, 0.05,
	\combFreq, Pkey(\freq)*(Pkey(\amp)*2+0.1)
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\amp, Pseq([0, 1, 0.2, 1], inf)*0.14,
	\dur, Pseq([1, 1.75, 0.25, 1], inf),
	\legato, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.7+0.05,
	\degree, Pseq([Pn(0, 12), 4, 0, 0, 0], inf),
	\scale, Scale.dorian,
	\pan, 0.1,
	\amp2, Pseq([100, 100, 100, 100, 200, 100, 100, 200], inf),
	\freq2, Pkey(\freq)
));

Pdef(\bd, Pbind(
	\instrument, \redMond,
	\amp, 0.15,
	\dur, Pseq([1, 3], inf),
	\legato, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.3+0.05,
	\degree, Pseq([Pn(0, 13), 4, 0, 0], inf),
	\octave, 2,
	\scale, Scale.dorian,
	\pan, -0.1,
	\amp2, Pseq([100, 100, 100, 100, 20, 100, 100, 20], inf),
	\freq2, Pkey(\freq)
));

Pdef(\md, Pbind(
	\instrument, \redMond,
	\amp, Pseq([0, 0.11], inf),
	\dur, Pseq([1, 2], inf),
	\legato, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.3+0.05,
	\degree, Pseq([Pn(0, 14), 4, 0], inf),
	\octave, 3,
	\scale, Scale.dorian,
	\pan, 0.2,
	\amp2, Pseq([100, 100, 100, 100, 200, 100, 100, 200], inf),
	\freq2, Pkey(\freq)
));

Pdef(\hh, Pbind(
	\instrument, \redMond,
	\amp, Pseq([0.2, 1, 0, 0.2, 1], inf)*0.06,
	\dur, Pseq([0.5, 0.5, 1, 1, 1], inf),
	\legato, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.3+0.05,
	\degree, Pseq([Pn(0, 15), 4], inf),
	\octave, 6,
	\scale, Scale.dorian,
	\pan, -0.2,
	\amp2, Pseq([100, 100, 100, 100, 200, 100, 100, 200], inf),
	\freq2, Pkey(\freq)
));
)

Pdef(\ett).stop
Pdef(\tva).stop
Pdef(\tre).stop
Pdef(\fyr).stop
Pdef(\sn).stop
Pdef(\bd).stop
Pdef(\md).stop
Pdef(\hh).stop
