(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(120/60);
	Pdef(\hh).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\mel).play(c, quant:8);
	Pdef(\mel2).play(c, quant:8);
}
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.25, 0.25, 0.25, Pn(0.5, 7), 0.25], inf),
	\amp, Pseq([1, 0.5, 1, 0.5], inf)*0.08,
	\freq, Pseq([10, 20, 30, 20], inf),
	\legato, Pseq([0.08, 0.09, 0.08, 0.07], inf),
	\amp2, Pseq([Pseries(1000, 50, 128), Pseries(7400, -50, 128)], inf),
	\freq2, Pseq([100, 200], inf)*2,
	\ringMix, Pseq([0.3, -0.3], inf),
	\ringFreq, 10,
	\distMix, 0
));

Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\amp, 0.3,
	\atk, 0,
	\freq, 50,
	\legato, Pseq([0.5, Pn(0.1, 7)], inf),
	\ringMix, 0,
	\ringFreq, 8
));

Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 0.5,
	\amp, Pseq([Pseq([1, 0.3, 0.1, 0], 3), Pseq([1, 0, 0.3, 0.1], 1), Pseq([1, 0.3, 0.1, 0], 3), Pseq([1, 0.3, 1, 0.3], 1)], inf)*0.15,
	\freq, Pstutter(8, Pseq([100, 500, 200, 100, 50], inf)),
	\pan, Pseq([0, -1, 1, 0], inf)*0.4,
	\rel, 0.3,
	\legato, 0.1,
	\amp2, 1,
	\freq2, Pkey(\freq)*Pseq([5, 50, 500, 5000], inf),
	\distMix, Pseq([Pn(0.5, 15), 1], inf),
	\distFreq, Pkey(\freq)*Pstutter(4, Pseq([1, 2, 1, 0.5], inf)),
	\distDeep, Pkey(\freq)
));
)

(
Pdef(\mel, Pbind(
	\instrument, \redMond,
	\dur, 0.5,
	\amp, Pseq([0.3, 1], inf)*0.2,
	\freq, Pseq([Pseq([100, 200, 300, 400], 3), Pseq([300, 400, 500, 600], 1)], inf),
	\pan, Pseq([0.3, -0.3], inf),
	\rel, 0.2,
	\legato, 0.14,
	\selFreq, 6,
	\sel, 5,
	\moogMix, 0.5,
	\moogFreq, Pseq([Pseries(400, 50, 100), Pseries(5400, -50, 100)], inf)
));
)

(
Pdef(\mel2, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\amp, Pseq([0.3, 1], inf)*0.04,
	\freq, Pstutter(Pseq([3, 2], inf), Pseq([Pseq([100, 200, 300, 400], 3), Pseq([300, 400, 500, 600], 1), Pseq([400, 500, 600, 700], 3), Pseq([500, 600, 700, 800], 1)], inf)),
	\pan, Pseq([-0.5, 0.5], inf),
	\rel, 0.2,
	\legato, 0.1,
	\selFreq, 6,
	\sel, 5,
	\moogMix, 0.5,
	\moogFreq, Pseq([Pseries(800, 30, 80), Pseries(3200, -30, 80)], inf)
));
)

Pdef(\bd).stop
Pdef(\hh).stop
Pdef(\sn).stop
Pdef(\mel).stop
Pdef(\mel2).stop