(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(123/60);
	Pdef(\hh).play(c, quant:8);
	Pdef(\hh2).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\mek).play(c, quant:8);
}
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.48, 0.42, 0.1], inf),
	\legato, Pseq([0.1, 0.1, 0.5], inf),
	\atk, Pseq([0, 0, 0.05], inf),
	\amp, Pseq([0.1, 0.1, 0.4], inf),
	\sel, Pseq([2, 2, 2, 2, 4], inf),
	\pan, -0.2,
	\freq, 1111,
	\amp2, Pkey(\freq)*3,
	\freq2, Pkey(\freq)*2,
	\distMix, 1,
	\distFreq, Pseq([Pn(80, 16), Pn(0, 16)], inf)
));

Pdef(\hh2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.42, 0.58], inf),
	\legato, 0.7,
	\atk, 0.01,
	\amp, Pseq([0.1, 0.1, 0.4], inf)*0.5,
	\sel, Pseq([2, 2, 2, 2, 4], inf),
	\pan, 0.2,
	\freq, 1111,
	\amp2, Pkey(\freq)*1.25,
	\freq2, Pkey(\freq)*2,
	\distMix, 1,
	\distFreq, Pseq([Pn(80, 16), Pseq([80, 80, 0, 0, 0, 0, 0, 0], 2)], inf)*Pstutter(32, Pseq([1, 1, 1.25, 1], inf))
));

Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, 4,
	\legato, 0.1,
	\amp, 0.1,
	\sel, 2,
	\freq, Pseq([222, 222, 222, 22], inf),
	\amp2, Pkey(\freq)*3,
	\freq2, Pkey(\freq)*3,
	\distMix, 1,
	\distFreq, 60
));

Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pn(1, 7), 0.5, 0.5], inf),
	\legato, 0.1,
	\amp, Pseq([Pseq([0, 0.1], 3), 0.1, 0.1], inf),
	\sel, Pstutter(2, Pseq([1, 2, 2, 2], inf)),
	\pan, 0.2,
	\freq, Pseq([666], inf),
	\amp2, Pkey(\freq)*Pstutter(2, Pseq([2, 2, 2, 5], inf)),
	\freq2, Pkey(\freq),
	\distMix, 1,
	\distFreq, 90
));

Pdef(\mek, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pn(2, 15), 16], inf),
	\legato, Pseq([Pn(0.8, 15), 0.1], inf),
	\amp, Pseq([0.01, 0.1], inf),
	\sel, 2,
	\pan, 0,
	\degree, Pseq([0, 5, 4, 5, 6, 7, 4, 1, 0, 5, 4, 5, 6, 1, 4, 1], inf),
	\octave, Pseq([Pn(5, 23), 4], inf),
	\scale, Scale.dorian,
	\amp2, Pkey(\freq)*2,
	\freq2, Pkey(\freq)*2,
	\ringMix, Pseq([Pseries(0, 1/64, 64), Pseries(1, -1/64, 64)], inf)-1,
	\ringFreq, Pkey(\freq)*1.5,
	\distMix, 1,
	\distFreq, Pkey(\freq)*0.25
));
)

Pdef(\mek).stop;
Pdef(\sn).stop;
Pdef(\hh).stop;
Pdef(\bd).stop;
Pdef(\hh2).stop;
