(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(124/60);
	Pdef(\a).play(c, quant:8);
	Pdef(\b).play(c, quant:8);
	Pdef(\c).play(c, quant:8);
	Pdef(\d).play(c, quant:8);
	Pdef(\sines).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
	Pdef(\hh2).play(c, quant:8);
}
)

(
Pdef(\a, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.25, 0.5, 0.75, 1, 1.5], inf),
	\amp, 0.5,
	\legato, 0.3,
	\sel, 5,
	\selFreq, c.beatDur.reciprocal*Pstutter(20, Pseq([1, 2, 3, 4], inf)),
	\degree, 0,
	\octave, 3,
	\scale, Scale.phrygian,
	\atk, Pseq([0.01, 0.02, 0.04, 0.05, 0.1].reverse*0.25, inf),
	\rel, Pseq([0.01, 0.02, 0.04, 0.05, 0.1], inf),
	\moogMix, 0.5,
	\moogGain, Pstutter(5, Pseq([1, 2, 3, 2], inf)),
	\moogFreq, Pkey(\freq)*Pstutter(20, Pseq([2, 3, 4, 5], inf)),
	\amp2, Pkey(\freq),
	\freq2, -0.5
));

Pdef(\b, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.25, 0.5, 0.75, 1, 1.5], inf)*2,
	\amp, 0.5,
	\legato, 0.2,
	\sel, 5,
	\selFreq, c.beatDur.reciprocal*Pstutter(20, Pseq([1, 2, 3, 4], inf)),
	\degree, 0,
	\octave, 4,
	\scale, Scale.phrygian,
	\atk, Pseq([0.01, 0.02, 0.04, 0.05, 0.1].reverse*0.25, inf),
	\rel, Pseq([0.01, 0.02, 0.04, 0.05, 0.1], inf),
	\moogMix, 0.5,
	\moogGain, Pstutter(5, Pseq([1, 2, 3, 2], inf)),
	\moogFreq, Pkey(\freq)*Pstutter(20, Pseq([2, 3, 4, 5], inf)),
	\distMix, 0,
	\distDeep, Pseq([1, 1, 3, 1, 1], inf),
	\amp2, Pkey(\freq)*Pstutter(10, Pseq([1, 1.5, 1, 0.5], inf)),
	\freq2, Pseq([Pn(-0.5, 5), 0.5, -1, -0.5, -0.5, -1], inf)
));

Pdef(\c, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.25, 0.5, 0.75, 1, 1.5], inf)*4,
	\amp, 0.5,
	\legato, 0.1,
	\sel, 5,
	\selFreq, c.beatDur.reciprocal*Pstutter(20, Pseq([1, 2, 3, 4], inf)),
	\degree, 0,
	\octave, 5,
	\pan, Pseq([-0.5, 0.5], inf),
	\scale, Scale.phrygian,
	\atk, Pseq([0.01, 0.02, 0.04, 0.05, 0.1].reverse*0.25, inf),
	\rel, Pseq([0.01, 0.02, 0.04, 0.05, 0.1], inf),
	\moogMix, 0.5,
	\moogGain, Pstutter(5, Pseq([1, 2, 3, 2], inf)),
	\moogFreq, Pkey(\freq)*Pstutter(20, Pseq([2, 3, 4, 5], inf)),
	\distMix, 1,
	\distFreq, 100,
	\distDeep, Pseq([1, 2, 3], inf),
	\amp2, Pkey(\freq)*5,
	\freq2, Pseq([0.5, -1, -0.5, -0.5, -1], inf)
));

Pdef(\d, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.25, 0.5, 0.75, 1, 1.5], inf)*8,
	\amp, 0.5,
	\legato, 0.05,
	\sel, 5,
	\selFreq, c.beatDur.reciprocal*Pstutter(20, Pseq([1, 2, 3, 4], inf)),
	\degree, 0,
	\octave, 6,
	\pan, Pseq([-0.25, 0.25], inf),
	\scale, Scale.phrygian,
	\atk, Pseq([0.01, 0.02, 0.04, 0.05, 0.1].reverse*0.25, inf),
	\rel, Pseq([0.01, 0.02, 0.04, 0.05, 0.1], inf),
	\moogMix, 0.5,
	\moogGain, 3,
	\moogFreq, Pkey(\freq)*Pstutter(5, Pseq([2, 3, 4, 5], inf)),
	\distMix, 0,
	\distFreq, 20,
	\distDeep, 1,
	\amp2, Pkey(\freq),
	\freq2, Pseq([0.5, -1, -0.5, -0.5, -1], inf)*0.05
));

Pdef(\sines, Pbind(
	\instrument, \redMond,
	\dur, 8,
	\rel, [1, 0.8, 0.6],
	\pan, [-0.5, 0, 0.5],
	\legato, Pseq([0.33, 0.75, 0.33, 0.9], inf),
	\degree, Pstutter(2, Pseq([[0, 3, 5], [0, 5, 6]], inf)),
	\scale, Scale.phrygian,
	\ringMix, 1,
	\ringFreq, 1/c.beatDur,
	\distMix, -0.3,
	\distDeep, Pseq([Pseries(0, 1/8, 8)*0.25], inf),
	\verbMix, 0
));

Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.26, 0.24], inf),
	\amp, Pseq([Pseq([0.01, 0, 0.06, 0], 7), 0.01, 0, 0.06, 0.06, Pseq([0.01, 0, 0.06, 0], 7), 0.01, 0.02, 0.04, 0.06], inf),
	\legato, 0.1,
	\rel, 0.01,
	\atk, 0,
	\pan, Pseq([-0.3, 0.3], inf),
	\degree, 0,
	\scale, Scale.phrygian,
	\amp2, 300,
	\freq2, 300,
	\ringMix, Pseq([Pn(0, 7), 1, -1], inf),
	\ringFreq, Pkey(\freq),
	\distMix, Pseq([Pn(0, 5), 1, -1], inf),
	\distDeep, 1
));
Pdef(\hh2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.26, 0.24], inf)*2,
	\amp, Pseq([Pseq([0.01, 0, 0.06, 0], 7), 0.01, 0, 0.06, 0.06, Pseq([0.01, 0, 0.06, 0], 7), 0.01, 0.02, 0.04, 0.06], inf),
	\legato, 0.1,
	\rel, 0.01,
	\atk, 0,
	\pan, Pseq([0.4, -0.4], inf),
	\degree, 0,
	\scale, Scale.phrygian,
	\amp2, 3000,
	\freq2, 3000,
	\ringMix, Pseq([Pn(0, 7), 1, -1], inf),
	\ringFreq, Pkey(\freq),
	\distMix, Pseq([Pn(0, 5), 1, -1], inf),
	\distDeep, 1
));
)

Pdef(\a).stop;
Pdef(\b).stop;
Pdef(\c).stop;
Pdef(\d).stop;
Pdef(\sines).stop;
Pdef(\hh).stop;
Pdef(\hh2).stop;
