(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(124/60);
	Pdef(\sun).play(c, quant:8);
	Pdef(\sun2).play(c, quant:8);
	Pdef(\sun3).play(c, quant:8);
	Pdef(\skimmer).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
}
)

(
Pdef(\sun, Pbind(
	\instrument, \redMond,
	\dur, 4,
	\legato, 1,
	\degree, Pseq([0, 3, 4, 3, 2, 3, 1, 3], inf),
	\octave, 5,
	\sel, Pseq([Pseries(4, 0.01, 100), Pseries(5, -0.01, 100)], inf),
	\selFreq, 0.5,
	\amp2, 1,
	\selFreq2, 0.5,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*5,
	\ringGain, 5,
	\ringRate, 500,
	\distMix, Pseq([Pseries(-1, 0.02, 64), Pseries(0.28, -0.02, 64)], inf)
));
)

(
Pdef(\sun2, Pbind(
	\instrument, \redMond,
	\dur, 4,
	\amp, 0.07,
	\legato, 1,
	\degree, Pseq([0, 3, 4, 4, 4, 5, 6, 7], inf),
	\mtranspose, 5,
	\octave, 5,
	\sel, Pseq([Pseries(4, -0.01, 100), Pseries(3, 0.01, 100), Pseries(4, 0.01, 100), Pseries(5, -0.02, 50)], inf),
	\selFreq, 0.5,
	\amp2, 1,
	\selFreq2, 0.5,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*5,
	\ringGain, 5,
	\ringRate, 550,
	\distMix, Pseq([Pseries(-1, 0.02, 80), Pseries(0.6, -0.02, 80)], inf)
));
)

(
Pdef(\sun3, Pbind(
	\instrument, \redMond,
	\dur, 4,
	\amp, 0.03,
	\legato, 1,
	\degree, Pseq([0, 0, 1, 1, 3, 3, -6, 1], inf),
	\octave, 3,
	\sel, Pseq([Pseries(3, 0.02, 100), Pseries(5, -0.02, 100)], inf),
	\selFreq, 0.5,
	\amp2, 1,
	\selFreq2, 0.5,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*5,
	\ringGain, 5,
	\ringRate, 600,
	\distMix, Pseq([Pseries(-1, 0.02, 100), Pseries(1, -0.02, 100)], inf)
));
)

(
Pdef(\skimmer, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.52, 0.48], inf),
	\amp, Pseq([1, 0.05, 0.5, 1, 0.05, 0.5, 1, 0.05], inf),
	\legato, Pseq([0.4, 0.35], inf),
	\degree, Pseq([0, 0, 1, 1, 3, 3, -6, 1], inf),
	\octave, 3,
	\sel, Pseq([Pseries(3, 0.02, 80), Pseries(4.6, -0.02, 80)], inf),
	\selFreq, 0.5,
	\amp2, 1,
	\selFreq2, 0.5,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*3,
	\ringGain, 5,
	\ringRate, 60,
	\distMix, Pseq([Pn(-1, 15), 1, Pn(-0.75, 15), 0.75], inf)
));
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.26, 0.24], inf),
	\amp, Pseq([Pseries(0, 0.005, 200), Pseries(1, -0.01, 100)], inf)*0.25,
	\legato, Pseq([0.1, 0.35], inf),
	\degree, Pseq([0, 0, 1, 1, 3, 3, -6, 1], inf),
	\octave, Pseq([Pn(5, 64*3), Pn(6, 64)], inf),
	\sel, Pseq([Pseries(3, 0.02, 80), Pseries(4.6, -0.02, 80)], inf),
	\selFreq, 0.5,
	\amp2, 1,
	\pan, Pseq([0, 1, 1, 0, 0, -1, 0, -1], inf)*0.3,
	\selFreq2, 0.5,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*4,
	\ringGain, 5,
	\ringRate, 6000,
	\distMix, Pseq([Pn(-1, 15), 1, Pn(-0.75, 15), 0.75], inf)
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 2,
	\amp, 0.6,
	\legato, Pseq([0.1, 0.35], inf),
	\degree, Pseq([0, 0, 1, 3, 3, 3, -6, -6], inf),
	\octave, 5,
	\rel, 0.2,
	\sel, Pseq([Pseries(3, 0.02, 90), Pseries(4.8, -0.02, 90)], inf),
	\selFreq, 0.8,
	\amp2, 1,
	\pan, Pseq([-0.2, 0.2], inf),
	\selFreq2, 1.5,
	\ringMix, 1,
	\ringFreq, Pkey(\freq)*2,
	\ringGain, 6,
	\ringRate, Pstutter(4, Pseq([600, 60, 6000, 6, 60, 600, 6, 60], inf)),
	\distMix, 1,
	\distFreq, 1,
	\distDeep, 2,
	\combMix, 0,
	\combDcy, 1,
	\combFreq, 16,
	\moogMix, 0.7,
	\moogFreq, Pkey(\freq)*1.5,
	\moogGain, 3
));
)

Pdef(\sun).stop
Pdef(\sun2).stop
Pdef(\sun3).stop
Pdef(\skimmer).stop
Pdef(\hh).stop
Pdef(\sn).stop
