(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(72/60);
	Pdef(\asdf).play(c, quant:4);
	Pdef(\qwer).play(c, quant:4);
	Pdef(\zxcv).play(c, quant:4);
	Pdef(\zxcv2).play(c, quant:4);
	Pdef(\zxcv3).play(c, quant:4);
	Pdef(\hh).play(c, quant:4);
	Pdef(\hh2).play(c, quant:4);
}
)

(
Pdef(\asdf, Pbind(
	\instrument, \redMond,
	\degree, Pseq([0, 0, 0, 1], inf),
	\scale, Scale.ionian,
	\octave, Pseq([Pn(3, 16), Pseq([3, 2], 8), Pn(2, 8)], inf),
	\freq2, Pseq([Pseq([1, 2, 1, 3], 7), 4, 5, 6, 7], inf),
	\pan, Pseq([-0.2, 0.2], inf),
	\amp2, Pkey(\freq)*0.5,
	\sel2, 3,
	\selFreq2, 100,
	\freq3, 100,
	\amp3, Pstutter(8, Pseq([100, 100, 100, 200], inf)),
	\atk, 0,
	\rel, 0.01,
	\legato, Pseq([0.7, 0.68], inf)*Pseq([Pseries(0.3, 0.01, 64)], inf)
));
)

(
Pdef(\qwer, Pbind(
	\instrument, \redMond,
	\amp, 0.03,
	\dur, Pseq([1, 1, 3, 1, 1, 3, 1, 1, 1, 3], inf),
	//\degree, Pseq([5, 4, 3, 3, 3, 4, 3, 2, 2, 2, 3, 2, 1, 0, 0, 0], inf),
	\degree, Pseq([5, 4, 3, 4, 3, 2, 3, 2, 1, 0], inf),
	\amp, 0.05,
	\scale, Scale.ionian,
	\octave, 5,
	\pan, Pseq([-1, 0, 1, 0], inf)*0.3,
	\freq2, 72/60,
	\amp2, Pseq([1, 1, 1, 2], inf),
	\atk, 0,
	\legato, Pseq([2, 2, 2, 4], inf),
	\verbMix, Pseq([-1, -1, -1, 0], inf)
));
)

(
Pdef(\zxcv, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\degree, Pseq([5, 4, 3, 4, 3, 2, 3, 2, 1, 2, 3, 2, 3, 4, 3, 4, 5], inf),
	\scale, Scale.ionian,
	\amp, 0.05,
	\octave, 4,
	\pan, Pstutter(3, Pseq([-1, 0, 1], inf))*0.8,
	\freq2, 72/60*100,
	\amp2, Pseq([2, 2, 2, 5], inf)*2,
	\atk, 0.2,
	\legato, 1.1,
	\verbMix, Pseq([-1, -1, -1, 0], inf),
	\ringMix, Pseq([Pn(-1, 128), Pseries(-1, 2/128, 128)], inf)
));
)

(
Pdef(\zxcv2, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\degree, Pseq([5, 4, 3, 4, 3, 2, 3, 2, 1, 2, 3, 2, 3, 4, 3, 4, 5], inf),
	\scale, Scale.ionian,
	\mtranspose, 5,
	\octave, 4,
	\pan, Pstutter(4, Pseq([-1, 0, 1], inf))*0.8,
	\freq2, 72/60*100,
	\amp2, Pseq([2, 2, 2, 5], inf)*2,
	\atk, Pseq([0.2, 0.15, 0.1, 0.05], inf)*0.5,
	\legato, 1,
	\verbMix, Pseq([-1, -1, -1, 0], inf)
));
)

(
Pdef(\zxcv3, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1, 0.5, 0.5, 0.5, 1, 1, 1, 1, 0.5], inf),
	\degree, Pseq([5, 4, 3, 3, 4, 3, 2, 2, 3, 2, 1, 1, 4], inf),
	\scale, Scale.ionian,
	\octave, 7,
	\lag, Pseq([0, 0, 0.1], inf),
	\mtranspose, Pstutter(32, Pseq([0, 5], inf)),
	\amp, Pseq([Pn(0.01, 6), 0, 0.01, 0, 0.01], inf),
	\pan, Pstutter(5, Pseq([-1, 0, 1, 0.5, -0.5], inf))*0.4,
	\freq2, 72/60*Pseq([Pseries(1000, -1, 900)], inf),
	\amp2, Pseq([2, 2, 2, 1], inf)*10,
	\atk, Pseq([0.2, 0.15, 0.1], inf),
	\rel, Pkey(\dur)*0.2,
	\legato, Pseq([Pseq([0.5, 0.9, 0.2, 0.5], 3), Pseq([0.1, 0.4, 0.8, 0.9], 2)], inf)*1.1,
	\verbMix, Pkey(\dur)-0.5
));
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\degree, 0,
	\octave, 6,
	\amp, Pseq([1, 1, 1, 0.2, 1, 1, 0.1, 0.2], inf)*0.02,
	\pan, Pseq([0, -1, 1], inf)*0.6,
	\sel, 3,
	\freq2, 1,
	\amp2, Pseq([Pseries(100, 10, 32)], inf),
	\atk, 0.001,
	\rel, 0.01,
	\legato, 0.01
));
)

(
Pdef(\hh2, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\degree, 0,
	\octave, 7,
	\lag, 0.125,
	\amp, Pseq([1, 1, 1, 0.2, 1, 1, 0.1, 0.2], inf)*Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.005,
	\pan, Pseq([0, -1, 1], inf)*0.6,
	\sel, 3,
	\freq2, 1,
	\amp2, Pseq([Pseries(100, 10, 32)], inf),
	\atk, 0,
	\rel, 0.01,
	\legato, 0.05
));
)

Pdef(\hh).stop
Pdef(\hh2).stop
Pdef(\asdf).stop
Pdef(\zxcv).stop
Pdef(\qwer).stop
Pdef(\zxcv2).stop
Pdef(\zxcv3).stop
