(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(2);
	Pdef(\vad).play(c, quant:4);
	Pdef(\gora).play(c, quant:4);
	Pdef(\nu).play(c, quant:4);
	Pdef(\da).play(c, quant:4);
	Pdef(\ingen).play(c, quant:4);
	Pdef(\aning).play(c, quant:4);
	Pdef(\egentligen).play(c, quant:4);
}
)

(
Pdef(\vad, Pbind(
	\instrument, \redMond,
	\dur, 4,
	\amp, Pstutter(4, Pseq([0.1, 0.05, 0], inf)),
	\scale, Scale.locrian,
	\degree, Pseq([0, 4, 2, 3, 4, 3, 2, 1, 4, 7, 6, 7, 6, 5, 4, 3], inf),
	\rel, 4,
	\atk, 0.005,
	\pan, Pseq([-0.1, 0, 0.1], inf),
	\distMix, Pseq([Pn(-0.9, 7), -0.6], inf),
	\distFreq, 0.5,
	\distDeep, Pseq([0.1, 0.2, 0.3, 0.4, 0.3, 0.2], inf)
));

Pdef(\gora, Pbind(
	\instrument, \redMond,
	\dur, 6,
	\amp, Pstutter(4, Pseq([0.1, 0.05, 0], inf)),
	\scale, Scale.locrian,
	\octave, 4,
	\degree, Pseq([0, 4, 2, 3, 4, 3, 2, 1, 4, 7, 6, 7, 6, 5, 4, 3], inf),
	\rel, 3,
	\atk, 0.005,
	\pan, Pseq([-0.1, 0, 0.1], inf),
	\distMix, Pseq([Pn(-0.9, 7), -0.6], inf),
	\distFreq, 0.5,
	\distDeep, Pseq([0.1, 0.2, 0.3, 0.4, 0.3, 0.2], inf)
));

Pdef(\nu, Pbind(
	\instrument, \redMond,
	\dur, 8,
	\amp, Pstutter(4, Pseq([0.1, 0.05, 0], inf)),
	\scale, Scale.locrian,
	\octave, 3,
	\degree, Pseq([0, 4, 2, 3, 4, 3, 2, 1, 4, 7, 6, 7, 6, 5, 4, 3], inf),
	\rel, 2,
	\atk, 0.005,
	\pan, Pseq([-0.1, 0, 0.1], inf),
	\distMix, Pseq([Pn(-0.9, 7), -0.6], inf),
	\distFreq, 0.5,
	\distDeep, Pseq([0.1, 0.2, 0.3, 0.4, 0.3, 0.2], inf)
));

Pdef(\da, Pbind(
	\instrument, \redMond,
	\dur, 10,
	\amp, Pstutter(4, Pseq([0.1, 0.05, 0], inf)),
	\scale, Scale.locrian,
	\octave, 2,
	\degree, Pseq([0, 4, 2, 3, 4, 3, 2, 1, 4, 7, 6, 7, 6, 5, 4, 3], inf),
	\rel, 1,
	\atk, 0.005,
	\pan, Pseq([-0.1, 0, 0.1], inf),
	\distMix, Pseq([Pn(-0.9, 7), -0.6], inf),
	\distFreq, 0.5,
	\distDeep, Pseq([0.1, 0.2, 0.3, 0.4, 0.3, 0.2], inf)
));
)

(
Pdef(\ingen, Pbind(
	\instrument, \redMond,
	\dur, 1/(2/3),
	\amp, Pstutter(8, Pseq([0.1, 0.05, 0], inf))*0.08,
	\scale, Scale.locrian,
	\octave, 5,
	\degree, Pstutter(2, Pseq([0, 4, 2, 3, 4, 3, 2, 1, 4, 7, 6, 7, 6, 5, 4, 3], inf)),
	\rel, 0.5,
	\atk, 0.005,
	\pan, Pseq([-0.5, -0.25, 0, 0.25, 0.5, 0.25, 0, -0.25], inf),
	\combMix, Pseq([Pn(0, 7), 0.7], inf),
	\verbMix, 0,
	\verbDamp, 0.01,
	\verbRoom, 0.99
));

Pdef(\aning, Pbind(
	\instrument, \redMond,
	\dur, 0.5/(2/3),
	\amp, Pstutter(10, Pseq([0.1, 0.05, 0], inf))*0.05,
	\scale, Scale.locrian,
	\octave, 6,
	\degree, Pstutter(3, Pseq([0, 4, 2, 3, 4, 3, 2, 1, 4, 7, 6, 7, 6, 5, 4, 3], inf)),
	\rel, 0.25,
	\atk, 0.005,
	\pan, Pseq([-0.5, -0.25, 0, 0.25, 0.5, 0.25, 0, -0.25], inf)*1.25,
	\combMix, Pseq([Pn(0, 7), 0.7], inf),
	\verbMix, 0,
	\verbDamp, 0.01,
	\verbRoom, 0.99
));

Pdef(\egentligen, Pbind(
	\instrument, \redMond,
	\dur, 0.25/(2/3),
	\amp, Pstutter(12, Pseq([0.1, 0.05, 0], inf))*0.02,
	\scale, Scale.locrian,
	\octave, 7,
	\degree, Pstutter(4, Pseq([0, 4, 2, 3, 4, 3, 2, 1, 4, 7, 6, 7, 6, 5, 4, 3], inf)),
	\rel, 0.125,
	\atk, 0.005,
	\pan, Pseq([-0.5, -0.25, 0, 0.25, 0.5, 0.25, 0, -0.25], inf)*1.5,
	\combMix, Pseq([Pn(0, 7), 0.7], inf),
	\verbMix, 0,
	\verbDamp, 0.01,
	\verbRoom, 0.99
));
)

Pdef(\vad).stop
Pdef(\gora).stop
Pdef(\nu).stop
Pdef(\da).stop
Pdef(\ingen).stop
Pdef(\aning).stop
Pdef(\egentligen).stop
