(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(180/60);
	Pdef(\abc).play(c, quant:8);
	Pdef(\def).play(c, quant:8);
	Pdef(\ghi).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
}
)

(
Pdef(\abc, Pbind(
	\instrument, \redMond,
	\amp, 1,
	\dur, 1,
	\degree, Pseq([Pseq([1, Pn(\rest, 15)], 2), Pseq([Pn(1, 15), \rest], 2), Pseq([Pgeom(1, Pseq([Pn(1.06, 16), Pn(0.99, 16)], inf), 16)], 3)], inf),
	\octave, 3,
	\legato, Pstutter(16, Pseq([0.25, 0.5, Pn(0.75, 5), 0.5], inf)),
	\scale, Scale.dorian,
	\combMix, 0.75,
	\combFreq, c.beatDur*16,
	\combDecy, 2
));

Pdef(\def, Pbind(
	\instrument, \redMond,
	\amp, Pstutter(32, Pseq([1, 0.3, 0.1, 0.3], inf)),
	\rel, Pseq([Pn(0.2, 7), 1.2], inf),
	\dur, 1,
	\pan, Pseq([-0.2, 0, 0.2, 0], inf),
	\degree, Pseq([Pgeom(1, Pseq([Pn(1.06, 32), Pn(0.99, 32)], inf), 32)], inf).round(1),
	\octave, Pstutter(32, Pseq([3, 4, 6, 4], inf)),
	\legato, Pseq([Pseries(0.08, 1-0.08/128, 128), Pseries(1, -1-0.08/128, 128)], inf),
	\scale, Scale.dorian,
	\combMix, 0.5,
	\combFreq, c.beatDur*16,
	\combDecy, 2,
	\sel, 0,
	\selFreq, 0,
	\amp2, 4,
	\freq2, Pkey(\freq)*Pseq([10, 10, 1, 10, 10, 10, 10, 1], inf),
	\verbMix, Pstutter(32, Pseq([-1, -0.75, 0.5, -0.75], inf))
));

Pdef(\ghi, Pbind(
	\instrument, \redMond,
	\amp, 0.1,
	\lag, Pseq([Pn(0.5, 128), Pn(0.25, 128)], inf),
	\dur, Pseq([Pgeom(1, Pseq([Pn(1.06, 16), Pn(0.99, 16)], inf), 16)], inf).round(0.125),
	\degree, Pseq([Pgeom(1, Pseq([Pn(1.06, 16), Pn(0.99, 16)], inf), 16)], inf).round(1)-6,
	\octave, Pseq([Pn(4, 64), Pn(5, 64)], inf),
	\legato, 0.07,
	\atk, 0.06,
	\rel, 0.06,
	\cur, 0,
	\scale, Scale.dorian,
	\combMix, 0,
	\combFreq, c.beatDur*16,
	\combDecy, 2,
	\sel, 3,
	\selFreq, Pkey(\freq),
	\amp2, Pkey(\dur)*4,
	\freq2, Pkey(\freq)*0.75
));

Pdef(\hh, Pbind(
	\instrument, \redMond,
	\amp, Pseq([0.04, 0.1], inf)*Pseq([Pseries(0, 0.01, 64), Pseries(0.64, -0.01, 64)], inf),
	\dur, 0.5,
	\pan, -0.2,
	\freq, Pseq([Pn(110, 8), Pn(115, 8)], inf)*2,
	\rel, Pseq([0.2, 0.08], inf),
	\legato, Pseq([0.2, 0.08], inf),
	\sel, 2,
	\selFreq, 0,
	\amp2, Pseq([Pseries(800, 10, 128)], inf),
	\freq2, Pseq([Pn(1000, 7), 50], inf)*2,
	\distMix, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)
));

Pdef(\sn, Pbind(
	\instrument, \redMond,
	\amp, Pseq([0, 0.1], inf),
	\dur, Pseq([Pseq([Pn(1, 14), Pn(0.5, 4)], 3), Pseq([Pn(1, 13), Pn(0.5, 8)], 1)], inf),
	\pan, 0.2,
	\freq, Pseq([Pn(110, 8), Pn(115, 8), 120, 125], inf),
	\legato, 0.05,
	\rel, 0.05,
	\sel, 2,
	\selFreq, 0,
	\amp2, Pseq([Pseries(400, 4, 64)], inf),
	\freq2, Pseq([Pseries(800, 10, 64)], inf),
	\distMix, Pseq([Pseries(0, 0.005, 200), Pseries(1, -0.005, 200)], inf),
	\ringMix, Pseq([Pseries(1, -0.0025, 400), Pseries(0, 0.0025, 400)], inf),
	\ringFreq, Pkey(\freq),
	\ringGain, 2
));

)

Pdef.clear