(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(140/60);
	Pdef(\hh).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\bas).play(c, quant:8);
	Pdef(\arp).play(c, quant:8);
	Pdef(\arp2).play(c, quant:8);
	Pdef(\arp3).play(c, quant:8);
}
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, 0.5,
	\amp, Pseq([1, 1, 1, 0, 1, 1, 1, 0], inf)*0.1,
	\pan, Pseq([0.1, 0, -0.1, 0], inf),
	\legato, Pseq([Pseries(0, 1/128, 128)+0.05], inf),
	\amp2, 1400,
	\freq2, Pstutter(128, Pseq([110, 220, 330, 440], inf)),
	\distMix, 0,
	\moogMix, 0.7,
	\moogGain, 4,
	\moogFreq, 880
));

Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\amp, Pseq([0, 1], inf)*0.1,
	\legato, 0.1,
	\atk, 0.001,
	\rel, 0.2,
	\amp2, 440,
	\freq2, 440,
	\ringMix, Pseq([Pseries(0, 1/128, 128)], inf),
	\distMix, 0.7
));

Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.75, 0.25], inf),
	\freq, Pseq([55, 66], inf),
	\pan, 0,
	\amp, Pseq([1, 0.2], inf)*0.4,
	\legato, 0.1,
	\atk, 0,
	\rel, 0.2
));
)

(
Pdef(\bas, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.5, 1], inf)*Pstutter(8, Pseq([1, 0.5], inf)),
	\amp, Pseq([Pn(1, 15), 0], inf)*0.5,
	\pan, Pseq([0.1, 0.2, 0.1, 0, -0.1, -0.2, -0.1, 0], inf),
	\octave, Pseq([Pn(3, 15), 2], inf),
	\degree, Pstutter(16, Pseq([Pseq([2, 4, 5, 5], 3), Pseq([2, 4, 5, 6], 1)], inf)),
	\legato, Pseq([Pn(0.1, 14), 0.5, 0.1], inf),
	\amp2, Pseq([11, 11, 11, 11, 11, 110], inf),
	\freq2, 220,
	\distMix, Pseq([Pseries(0, 1/128, 128)-0.7], inf)
));
)

(
Pdef(\arp, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.75, 0.25], inf)*Pstutter(16, Pseq([1, 0.5], inf)),
	\degree, Pseq([0, 0, 0, 1, 2, 6, 5, 5, 4, 1], inf),
	\pan, 0,
	\amp, Pseq([1, 0.2], inf)*0.3*Pseq([Pn(0, 18), Pn(1, 14)], inf)*0.5,
	\legato, 0.4,
	\rel, 0.5,
	\sel, 2,
	\moogMix, 1,
	\moogFreq, Pkey(\freq)*3,
	\moogGain, 3.5,
	\verbMix, 0
));

Pdef(\arp2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.75, 0.25], inf)*Pstutter(16, Pseq([1, 0.5], inf)),
	\lag, 1/3,
	\degree, Pseq([0, 0, 0, 1, 2, 6, 5, 5, 4, 1], inf),
	\pan, -0.2,
	\amp, Pseq([1, 0.2], inf)*0.25*Pseq([Pn(0, 18), Pn(1, 14)], inf)*0.5,
	\legato, 0.3,
	\rel, 0.5,
	\sel, 2,
	\moogMix, 1,
	\moogFreq, Pkey(\freq)*3,
	\moogGain, 3.5,
	\verbMix, 0
));

Pdef(\arp3, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.75, 0.25], inf)*Pstutter(16, Pseq([1, 0.5], inf)),
	\lag, 0.5,
	\degree, Pseq([0, 0, 0, 1, 2, 6, 5, 5, 4, 1], inf),
	\pan, 0.2,
	\amp, Pseq([1, 0.2], inf)*0.2*Pseq([Pn(0, 16), Pn(1, 16)], inf)*0.5,
	\legato, 0.2,
	\rel, 0.5,
	\sel, 2,
	\moogMix, 1,
	\moogFreq, Pkey(\freq)*3,
	\moogGain, 3.5,
	\verbMix, 0
));

)

Pdef.clear