(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(1.7);
	Pdef(\a).play(c, quant:2);
	Pdef(\b).play(c, quant:2);
	Pdef(\c).play(c, quant:2);
	Pdef(\d).play(c, quant:2);
	Pdef(\e).play(c, quant:2);
	Pdef(\hh).play(c, quant:2);
	Pdef(\hh2).play(c, quant:2);
	Pdef(\hh3).play(c, quant:2);
	Pdef(\hhh).play(c, quant:2);
}
)

(
Pdef(\a, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1.48, 1.52, 1], inf),
	\degree, Pseq([0, 0, -2], inf),
	\octave, 3,
	\scale, Scale.lydian,
	\legato, 0.4,
	\atk, 0
));

Pdef(\b, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.28, 0.52, 0.2], inf),
	\amp, Pseq([1, 0.1, 1, 0.1, 1, 0.1, 1, 1, 1, 0.1, 1, 0.1, Pn(0, 24), 1, 0.1, 1, 0.1, 1, 0.1, 1, 1, 1, 0.1, 1, 0.1, Pn(0, 24)], inf)*0.1,
	\degree, Pseq([5, 6, 6, 5, 6, 6, 6, 5, 6, 4, 5, 5, Pn(0, 24), 5, 6, 6, 5, 6, 6, 6, 5, 6, 4, 5, 5, Pn(0, 24)], inf)+Pseq([Pn(0, 6), 1, Pn(0, 8), 2], inf),
	\octave, 5,
	\scale, Scale.lydian,
	\legato, Pkey(\degree)/12+0.05,
	\atk, 0.001,
	\rel, 0.8-Pkey(\legato),
	\amp2, Pkey(\freq)/2pi,
	\freq2, pi,
	\amp3, Pkey(\freq)/pi,
	\freq3, pi
));

Pdef(\c, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pseq([Pn(0.5, 14), 0.28, 0.22], 4), Pseq([Pn(0.5, 3), 0.28, 0.22], 32)], inf),
	\amp, Pseq([0.1, 1], inf)*0.1,
	\degree, Pseq([0], inf)+Pseq([Pn(0, 6), 1, Pn(0, 8), 2], inf),
	\octave, 4,
	\scale, Scale.lydian,
	\legato, 0.2,
	\atk, 0.001,
	\rel, 0.1
));

Pdef(\d, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pseq([0.28, 0.22], 4), Pseq([0.5, 0.28, 0.22], 32)], inf),
	\amp, Pseq([0.1, 1], inf)*0.05,
	\degree, Pseq([0], inf)+Pseq([Pn(0, 6), 1, Pn(0, 8), -2], inf),
	\octave, 6,
	\scale, Scale.lydian,
	\legato, 0.1,
	\pan, -0.2,
	\atk, 0.001,
	\rel, 0.1
));

Pdef(\e, Pbind(
	\instrument, \redMond,
	\dur, Pseq([3, Pn(1, 7), 2], inf),
	\amp, Pseq([0.1, 1], inf)*0.01,
	\degree, Pseq([0], inf)+Pseq([Pn(0, 6), 1, Pn(0, 8), -2], inf),
	\octave, 7,
	\scale, Scale.lydian,
	\legato, 0.05,
	\pan, 0.2,
	\atk, 0.1,
	\rel, 0.1,
	\cur, 0,
	\amp2, 10pi,
	\freq2, Pstutter(3, Pseq([pi, 2pi, 4pi, 8pi], inf))
));

)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, 8,
	\amp, 0.01,
	\legato, 0.7,
	\degree, Pstutter(2, Pseq([0, -2,], inf)),
	\scale, Scale.lydian,
	\octave, 5,
	\pan, Pstutter(2, Pseq([0, -1, 0, 1, 0], inf))*0.2,
	\atk, 0.01,
	\rel, 0.02,
	\sel2, Pseq([4, 4.1], inf),
	\selFreq2, 0,
	\freq2, Pkey(\freq),
	\amp2, 200
));

Pdef(\hh2, Pbind(
	\instrument, \redMond,
	\dur, 7,
	\amp, 0.008,
	\legato, 0.7,
	\degree, 2,
	\scale, Scale.lydian,
	\octave, 5,
	\pan, Pstutter(3, Pseq([0, -1, 0, 1, 0], inf))*0.2,
	\atk, 0.01,
	\rel, 0.02,
	\sel2, Pseq([4, 4.1], inf),
	\selFreq2, 0,
	\freq2, Pkey(\freq),
	\amp2, 200
));

Pdef(\hh3, Pbind(
	\instrument, \redMond,
	\dur, 6,
	\amp, 0.006,
	\legato, 0.7,
	\degree, 4,
	\scale, Scale.lydian,
	\octave, 6,
	\pan, Pstutter(4, Pseq([0, -1, 0, 1, 0], inf))*0.2,
	\atk, 0.01,
	\rel, 0.02,
	\sel2, Pseq([4, 4.1], inf),
	\selFreq2, 0,
	\freq2, Pkey(\freq),
	\amp2, 200
));
)

(
Pdef(\hhh, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\amp, Pseq([Pseries(0, 1/64, 64), Pseries(1, -1/64, 64)], inf)*0.005,
	\legato, 0.7,
	\degree, Pseq([Pseq([4, 4], 64), Pseq([4, 0], 64), Pseq([0, 0], 64)], inf),
	\scale, Scale.lydian,
	\octave, 6+Pseq([Pseq([Pn(0, 14), 1, 0], 4), Pn(0, 6), 1, Pn(0, 8), -2], inf),
	\pan, Pstutter(4, Pseq([0, -1, 0, 1, 0], inf))*0.2,
	\atk, 0.01,
	\rel, 0.02,
	\sel2, Pseq([4, 4.1], inf),
	\selFreq2, 0,
	\freq2, 800,
	\amp2, 700,
	\distMix, 0
));
)

Pdef.clear
